<script>
	import { createEventDispatcher } from 'svelte';

	export let event;
	const dispatch = createEventDispatcher();

	function enter() {
		dispatch('enter', {
			id: event.id
		});
	}

	function leave() {
		dispatch('leave', {
			id: event.id
		});
	}
</script>

<a href={`tableau-de-bord/historic/${event.id}`} on:mouseenter={enter} on:mouseleave={leave}>
	<div class="grid grid-cols-3 p-4 rounded-xl bg-white hover:bg-gray-50">
		<div>
			<p
				class="inline-flex items-center px-2.5 py-0.5 rounded-full text-xs font-medium bg-green-100 text-green-800"
			>
				{event.importance}
			</p>
			<p>tags:</p>
			{#each event.type as type}
				<p
					class="inline-flex items-center px-2.5 py-0.5 rounded-full text-xs font-medium bg-red-100 text-red-800"
				>
					{type}
				</p>
			{/each}
		</div>
		<div class="col-span-2">
			<h3 class="text-lg font-bold">{event.nom}</h3>
			<p class="max-h-36 overflow-hidden overflow-ellipsis">{event.short_desc}</p>
		</div>
	</div>
</a>
